<?xml version='1.0' encoding='UTF-8' ?>
<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml"
	xmlns:h="http://java.sun.com/jsf/html"
	xmlns:f="http://java.sun.com/jsf/core"
	xmlns:b="http://bootsfaces.net/ui" xmlns:p="http://primefaces.org/ui"
	xmlns:ui="http://java.sun.com/jsf/facelets">
<h:head>
	<h:outputStylesheet name="css/style.css" />
	<title>Cadastro de Usuários</title>
</h:head>
<h:body  style="padding-top: 80px" >

<b:column col-sm="9" offset-sm="3"  col-md="10" offset="2" styleClass="main">
	<b:container fluid="true">
		<div>
			<h:form>
				<b:navBar brand="Desafio Sefaz !" brandHref="#" inverse="true"
					fixed="top" fluid="true">
					<b:navbarLinks pull="right">
						<b:navLink value="Inicio" href="principal.xhtml" />
						<b:navCommandLink value="Sair" action="#{controleAcessoBeans.logout}"/>
					</b:navbarLinks>
				</b:navBar>
			</h:form>
		</div>
	</b:container>
	 <h:form>
	 <b:commandButton value="Novo Cadastro" action="cadastroUsuario.xhtml?faces-redirect=true"/> 
				<hr class="hr" align="left"/> 
	 </h:form>

<b:container fluid="true">
		<h2> Usuários Cadastrados</h2> 
<b:row styleClass="table-responsive">
<h:form styleClass="tabela">
 
 
<h:dataTable styleClass="table table-striped"  value="#{listarUsuarioBeans.usuarios}" var="item" >
   <h:column>
             <f:facet name="header">
             <h:outputText value="Nome" />
             </f:facet>
             <h:outputText value="#{item.nome}" />
   </h:column>
   <h:column>
             <f:facet name="header">
             <h:outputText value="Email" />
             </f:facet>
             <h:outputText value="#{item.email}"/>
   </h:column>
    <h:column>
             <f:facet name="header">
             <h:outputText value="Telefone" />
             </f:facet>
             <h:outputText value="#{item.telefone}"/>
   </h:column>
   <h:column>
   	         <f:facet name="header">
             <h:outputText value="Data/Cadastro" />
             </f:facet>
             <h:outputText value="#{item.data}" >
             <f:convertDateTime pattern="dd/MM/yyyy" timeZone="America/Recife"/>
             </h:outputText>
    </h:column>
     <h:column>
              <b:commandLink value="excluir" action="#{removerUsuarioBeans.excluirUsuario}">
              <f:param value="#{item.id}" name="idUsuario"/> 
              </b:commandLink>
    </h:column>
     <h:column>
              <b:commandLink value="editar" action="#{editarUsuarioBeans.redirecioneEditar}" >
              <f:param value="#{item.id}" name="idUsuario"/> 
              </b:commandLink>
    </h:column>
      <h:column>
              <b:commandLink value="detalhe" action="#{editarUsuarioBeans.redirecioneDetalhes}" >
              <f:param value="#{item.id}" name="idUsuario"/> 
              </b:commandLink>
    </h:column>
 
 
</h:dataTable>


</h:form>
    </b:row>
</b:container>
</b:column>

<!--  Modal Editar Usuario -->
  <b:container>
<h:form>   
 
   <b:modal id="usuarioEditar" title="Editar Usuário"  styleClass="editarUsuario" >
    
  <h5>
ID: 			<b:inputText id="id" 
   						value="#{editarUsuarioBeans.idUsuarioSelecionado}"/>
   				
Nome:			<b:inputText id="nome" 
   						value="#{editarUsuarioBeans.nomeSelecionado}"/>
Email:			<b:inputText id="email" 
   						value="#{editarUsuarioBeans.emailSelecionado}"/>
Telefone:		<b:inputText id="telefone" 
   						value="#{editarUsuarioBeans.telefoneSelecionado}"/>
Tipo Telefone:	<b:inputText id="tipo" 
   						value="#{editarUsuarioBeans.tipoSelecionado}"/>
Senha:			<b:inputText id="senha"  
   						value="#{editarUsuarioBeans.senhaSelecionado}"/>	
Data Cadastro:	<b:inputText id="data"  
   						value="#{editarUsuarioBeans.dataSelecionado}">
   						<f:convertDateTime pattern="dd/MM/yyyy" timeZone="America/Recife"/>
   				</b:inputText>	
   </h5>
   <b:commandButton action="#{editarUsuarioBeans.editarUsuario}" look="primary btn-block" value="Atualizar" />
   
</b:modal>
</h:form>
</b:container>  
<b:container>
<h:form>       
   <b:modal id="usuarioDetalhe" title="Detalhe do Usuário" styleClass="usuarioDetalhe" >
  <h3>
  
 ID do Usuário :   <h:outputText id="id" value="#{editarUsuarioBeans.idUsuarioSelecionado}"/><br/>
 Data do cadastro : <h:outputText id="data" value="#{editarUsuarioBeans.dataSelecionado}">
   						<f:convertDateTime pattern="dd/MM/yyyy" timeZone="America/Recife"/>
 					</h:outputText> <br/>
 Nome: 	  <h:outputText   id="nome" value = "#{editarUsuarioBeans.nomeSelecionado}" /> <br/>
 Email:   <h:outputText   id="email" value = "#{editarUsuarioBeans.emailSelecionado}" /><br/> 
 Senha:   <h:outputText   id="senha" value = "#{editarUsuarioBeans.senhaSelecionado}" /><br/>
 Telefone:<h:outputText   id="telefone" value = "#{editarUsuarioBeans.telefoneSelecionado}" /><br/>
 Tipo Telefone:   <h:outputText   id="tipo" value = "#{editarUsuarioBeans.tipoSelecionado}" /><br/><br/>
    </h3>
   
   
   <b:commandButton  look="primary btn-block" value="OK"/>
   
</b:modal>
</h:form>
</b:container>


</h:body>
</html>